#include <bits/stdc++.h>

using namespace std;
int main()
{

    int n,k,i;
    scanf("%i %i",&n,&k);

    int a[n];

    for(i=0;i<n;i++)
    {
        scanf("%i",&a[i]);
    }
    for(i=0;i<n;i++)
    {
        if(a[i]==k)
        {
            if(i!=(n-1)) {
                printf("%i", a[i + 1]);
                break;
            }
            else{
                printf("%i",a[0]);
                break;
            }
        }
    }
    return 0;
}